%global priority  59
%global fontname liberation
%global fontconf %{priority}-liberation

Name:          liberation-fonts
Version:       2.00.3
Release:       2
Epoch:         1
Summary:       Font collection aiming to replace Times New Roman, Arial, Courier New

License:       Liberation
URL:           https://github.com/liberationfonts/liberation-fonts
Source0:       https://github.com/liberationfonts/liberation-fonts/files/2012633/%{name}-%{version}.tar.gz
Source2:       liberation-fonts-mono.conf
Source3:       liberation-fonts-sans.conf
Source4:       liberation-fonts-serif.conf
Source6:       liberation.metainfo.xml
Source7:       liberation-mono.metainfo.xml
Source8:       liberation-sans.metainfo.xml
Source9:       liberation-serif.metainfo.xml

BuildArch:     noarch
BuildRequires: fontpackages-devel >= 1.13, xorg-x11-font-utils fontforge libappstream-glib
BuildRequires: python3 python3-fonttools
Requires:      fontpackages-filesystem >= 1.13
Provides:      liberation-narrow-fonts = %{epoch}:%{version}-%{release}
Provides:      liberation-fonts-common = %{epoch}:%{version}-%{release}
Provides:      liberation-sans-fonts = %{epoch}:%{version}-%{release}
Provides:      liberation-serif-fonts = %{epoch}:%{version}-%{release}
Provides:      liberation-mono-fonts = %{epoch}:%{version}-%{release}
Obsoletes:     liberation-narrow-fonts < 1:2.0.0
Obsoletes:     liberation-fonts-common < %{epoch}:%{version}-%{release}
Obsoletes:     liberation-sans-fonts < %{epoch}:%{version}-%{release}
Obsoletes:     liberation-serif-fonts < %{epoch}:%{version}-%{release}
Obsoletes:     liberation-mono-fonts < %{epoch}:%{version}-%{release}

%description
The Liberation Fonts is font collection which aims to provide document layout compatibility as 
usage of Times New Roman, Arial, Courier New.

%package_help

%prep
%autosetup -n %{name}-%{version}

sed -i 's/OS2_UseTypoMetrics: 1/OS2_UseTypoMetrics: 0/g' src/*.sfd
sed -i 's|/usr/bin/env python|%{_bindir}/python2|' scripts/setisFixedPitch-fonttools.py

%build
%make_build
mv liberation-fonts-ttf-%{version}/* .


%install
pushd %{buildroot}
install -m 0755 -d .%{_fontdir}
install -m 0644 -p %{_builddir}/%{name}-%{version}/*.ttf .%{_fontdir}
install -m 0755 -d .%{_sysconfdir}/X11/fontpath.d

ln -s %{_fontdir} .%{_sysconfdir}/X11/fontpath.d/%{name}

install -m 0755 -d .%{_fontconfig_templatedir} .%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE2} .%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{SOURCE3} .%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE4} .%{_fontconfig_templatedir}/%{fontconf}-serif.conf
install -Dm 0644 -p %{SOURCE6} .%{_datadir}/appdata/liberation.metainfo.xml
install -Dm 0644 -p %{SOURCE7} .%{_datadir}/appdata/liberation-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE8} .%{_datadir}/appdata/liberation-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE9} .%{_datadir}/appdata/liberation-serif.metainfo.xml

for fconf in %{fontconf}-mono.conf %{fontconf}-sans.conf %{fontconf}-serif.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf .%{_fontconfig_confdir}/$fconf
done

mkfontscale .%{_fontdir}
mkfontdir .%{_fontdir}
popd


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/liberation*.metainfo.xml


%files
%defattr(-,root,root)
%doc AUTHORS
%license LICENSE
%{_sysconfdir}/fonts/conf.d/*-liberation-sans.conf
%{_sysconfdir}/fonts/conf.d/*-liberation-serif.conf
%{_sysconfdir}/fonts/conf.d/*-liberation-mono.conf
%{_sysconfdir}/X11/fontpath.d/%{name}
%dir %{_fontdir}
%verify(not md5 size mtime) %{_fontdir}/fonts.dir
%verify(not md5 size mtime) %{_fontdir}/fonts.scale
%{_datadir}/appdata/liberation.metainfo.xml
%{_datadir}/appdata/liberation-sans.metainfo.xml
%{_datadir}/appdata/liberation-serif.metainfo.xml
%{_datadir}/appdata/liberation-mono.metainfo.xml
%{_datadir}/fontconfig/conf.avail/*-liberation-sans.conf
%{_datadir}/fontconfig/conf.avail/*-liberation-serif.conf
%{_datadir}/fontconfig/conf.avail/*-liberation-mono.conf
%{_datadir}/fonts/%{fontname}/LiberationSans-*.ttf
%{_datadir}/fonts/%{fontname}/LiberationSerif*.ttf
%{_datadir}/fonts/%{fontname}/LiberationMono*.ttf

%files help
%defattr(-,root,root)
%doc ChangeLog README TODO

%changelog
* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:2.00.3-2
- Package init

